Subject: bug#58726: 29.0.50; Bug in regexp matching with shy groups

From: Mattias Engdegård <[email-masked]>
Date: Mon, 24 Oct 2022 12:55:57 +0200

24 okt. 2022 kl. 04.38 skrev Michael Heerdegen <[email-masked]>:

> Unfortunately I can't estimate whether your fix is correct and the right
> thing to do, so all I have to offer is that I will run Emacs with your
> patch installed and watch for any problems that it may have introduced.

Thanks for testing! I'm fairly certain of its correctness, but there could be other places with a similar bug that I didn't find.
Nevertheless this should do it for now -- pushed to master.